# 로봇팔을 이용한 덤벨 및 원판 정리

## 프로젝트 개요
이 프로젝트의 목표는 RIS2를 이용하여 헬스장에 정리가 안된 덤벨이나, 원판들을 인식하고 있어야 하는 위치로 자동으로 정리해주는 것이 목표이다.
로봇은 덤벨과 같은 물체를 인식하고, 무게를 측정하며 지정된 위치로 이동시키는 역활을 수행한다.

## 프로젝트 목표
-카메라를 이용해 옮겨도 되는 물건인지 판별하는 시스템 구현
-카메라를 이용해 덤벨과 원판과 같은 물건들을 구별하고, 지정된 위치로 옮기는 작업을 구현
-로봇팔을 이용한 무게측정을 최대한 분별력 있는 방법으로 구현
-지정된 위치가 포화 상태일 시 다른 적합한 위치로 정리

## 방법론
-ROS2를 이용한 로봇 프로그레밍
-카메라와 같은 센서를 사용하여 물체 인식
-지정된 위치에 알맞은 물체를 구분하기 위한 센서 통합
-관리 및 모니터링을 위한 애플리케이션 개발

## 필요 자원
-하드웨어: 두산로보틱스사의 로봇팔, 카메라
-소프트웨어: ROS2, OpenCV 컴퓨터 비전 라이브러리

## 프로젝트 참여자
-학번: 202021024
-이름: 윤효찬
-이메일: 202021024@chu.ac.kr

## 예상 예산
| 품목              | 가격(원)   |
| ----------------- | ---------- |
| 웹캠(1개)              | 29,100     |
| **총 예산**       | **29,100** |

## 예상 일정
| 주차   | 활동                                  |
| ------ | ------------------------------------- |
| 주 1-2 | 프로젝트 계획 및 초기 설계            |
| 주 3-4 | 프로그래밍 및 초기 테스트        |
| 주 5-6 | 물체를 인식 및 분류를 위한 센서 통합    |
| 주 7   | 사용자 인터페이스 개발 및 변수 테스트 |
| 주 8   | 최종 발표, 프로젝트 마무리 및 문서화  |


## 위험 관리
- 부족한 하드웨어 및 소프트웨에 관한 필요한 정보들을 습득하고, 각 한계점들을 파악하여 위험을 최소화

## 숙제
- ![스크린샷 2024-05-28 094325](https://github.com/chu-aie/cobots-2024/assets/162118894/c26b0bbf-e9c1-4c2c-8332-fafa15bf0b78)
