# 로봇을 이용한 정원 관리

![image](https://github.com/chu-aie/cobots-2024/assets/133697595/30a66e8b-fc21-491b-9757-483044c33f19)

## 프로젝트 개요

이 프로젝트의 목표는 ROS2를 기반으로 한 협동로봇을 사용하여 식물을 심고, 관리하며, 아름다운 정원을 유지하는 자동화된 시스템을 개발하는 것이다. 로봇은 흙을 삽질하고, 씨앗을 심으며, 정기적으로 물을 주는 작업을 수행한다.

## 프로젝트 목표

1. 로봇 손의 정밀한 움직임을 이용하여 흙을 손질하고 씨앗을 심는 기능 개발.
2. 식물의 성장을 모니터링하고, 필요에 따라 물을 주는 자동화 시스템 구현.
3. 식물 인식 기술을 활용하여 다양한 식물을 구분하고, 각 식물에 맞는 관리 제공.

## 방법론

- 로봇 프로그래밍: ROS2를 이용하여 로봇의 움직임을 제어하고, 특정 작업(삽질, 심기, 물주기)을 수행하도록 프로그래밍한다.
- 식물 인식 개발: 컴퓨터 비전 기술을 활용하여 식물을 인식하고 데이터베이스에 정보를 저장한다.
- 센서 통합: 토양 습도 센서 및 기타 환경 센서를 통합하여 식물의 상태를 지속적으로 모니터링한다.
- 사용자 인터페이스 개발: 사용자가 로봇을 쉽게 관리하고 모니터링할 수 있는 애플리케이션 개발.

## 필요 자원

- 하드웨어: 두산 협동 로봇, 카메라(웹캠), 기타 필요 센서.
- 소프트웨어: ROS2, OpenCV 컴퓨터 비전 라이브러리, 웹/모바일 개발 툴킷.

## 프로젝트 참여자

- 학번: 202221014
- 이름: 이규범
- 이메일: 202221014@chu.ac.kr

## 예상 예산

| 품목              | 가격(원)   |
| ----------------- | ---------- |
| 다이소 화분 (3개) | 6,000      |
| 웹캠              | 30,000     |
| **총 예산**       | **36,000** |

## 예상 일정 (총 기간: 8주)

| 주차   | 활동                                  |
| ------ | ------------------------------------- |
| 주 1-2 | 프로젝트 계획 및 초기 설계            |
| 주 3-4 | 로봇 프로그래밍 및 초기 테스트        |
| 주 5-6 | 식물 인식 시스템 통합 및 센서 설정    |
| 주 7   | 사용자 인터페이스 개발 및 통합 테스트 |
| 주 8   | 최종 발표, 프로젝트 마무리 및 문서화  |

## 위험 관리

- 기술적 실패: 소프트웨어에 대한 공부부족을 보완하기 위해 적절한 교육을 확보하여 위험을 최소화한다.
- 일정 지연: 유연한 프로젝트 관리 접근 방식과 마일스톤의 정기적인 평가를 통해 조정한다.
